# Handle the incoming configuration files:
config() {
  for infile in $1; do
    NEW="$infile"
    OLD="$(dirname $NEW)/$(basename $NEW .new)"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
      mv $NEW $OLD
    elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
      # toss the redundant copy
      rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
  done
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

config etc/appstream.conf.new

( cd usr/lib ; rm -rf libAppStreamQt.so )
( cd usr/lib ; ln -sf libAppStreamQt.so.2 libAppStreamQt.so )
( cd usr/lib ; rm -rf libAppStreamQt.so.2 )
( cd usr/lib ; ln -sf libAppStreamQt.so.0.15.5 libAppStreamQt.so.2 )
( cd usr/lib ; rm -rf libappstream-compose.so )
( cd usr/lib ; ln -sf libappstream-compose.so.0 libappstream-compose.so )
( cd usr/lib ; rm -rf libappstream-compose.so.0 )
( cd usr/lib ; ln -sf libappstream-compose.so.0.15.5 libappstream-compose.so.0 )
( cd usr/lib ; rm -rf libappstream.so )
( cd usr/lib ; ln -sf libappstream.so.4 libappstream.so )
( cd usr/lib ; rm -rf libappstream.so.4 )
( cd usr/lib ; ln -sf libappstream.so.0.15.5 libappstream.so.4 )
( cd usr/lib ; rm -rf libxmlb.so )
( cd usr/lib ; ln -sf libxmlb.so.2 libxmlb.so )
( cd usr/lib ; rm -rf libxmlb.so.2 )
( cd usr/lib ; ln -sf libxmlb.so.2.0.0 libxmlb.so.2 )
( cd usr/share/gtk-doc/html ; rm -rf appstream )
( cd usr/share/gtk-doc/html ; ln -sf ../../../share/doc/appstream/html/api appstream )
( cd usr/share/gtk-doc/html ; rm -rf appstream-compose )
( cd usr/share/gtk-doc/html ; ln -sf ../../../share/doc/appstream/html/compose-api appstream-compose )
